camera
Device proxies

The camera proxy can be used to get images from a camera. More...

## Classes

struct | playerc_camera_t
| Camera proxy data. More...

## Functions

PLAYERC_EXPORT playerc_camera_t * | playerc_camera_create (playerc_client_t *client, int index)
| Create a camera proxy. More...
PLAYERC_EXPORT void | playerc_camera_destroy (playerc_camera_t *device)
| Destroy a camera proxy. More...
PLAYERC_EXPORT int | playerc_camera_subscribe (playerc_camera_t *device, int access)
| Subscribe to the camera device. More...
PLAYERC_EXPORT int | playerc_camera_unsubscribe (playerc_camera_t *device)
| Un-subscribe from the camera device. More...
PLAYERC_EXPORT void | playerc_camera_decompress (playerc_camera_t *device)
| Decompress the image (modifies the current proxy data). More...
PLAYERC_EXPORT void | playerc_camera_save (playerc_camera_t *device, const char *filename)
| Saves the image to disk as a .ppm.

## Detailed Description

The camera proxy can be used to get images from a camera.

## Function Documentation

PLAYERC_EXPORT playerc_camera_t* playerc_camera_create | ( | playerc_client_t * | client,
|  | int | index
| ) |  |

Create a camera proxy.

PLAYERC_EXPORT void playerc_camera_decompress | ( | playerc_camera_t * | device | ) |

Decompress the image (modifies the current proxy data).

PLAYERC_EXPORT void playerc_camera_destroy | ( | playerc_camera_t * | device | ) |

Destroy a camera proxy.

PLAYERC_EXPORT int playerc_camera_subscribe | ( | playerc_camera_t * | device,
|  | int | access
| ) |  |

Subscribe to the camera device.

PLAYERC_EXPORT int playerc_camera_unsubscribe | ( | playerc_camera_t * | device | ) |

Un-subscribe from the camera device.

Last updated 12 September 2005 21:38:45